package card_info_apple

import (
	"context"
	"kami/internal/consts"
	"kami/internal/service"

	"kami/api/card_info_apple/v1"
)

func (c *ControllerV1) RechargeStealSettingGet(ctx context.Context, req *v1.RechargeStealSettingGetReq) (res *v1.RechargeStealSettingGetRes, err error) {
	dictService := service.SysConfigDict()
	isSteal := dictService.GetIsStealAppleCard(ctx)
	retStatus := consts.StealStatusClose
	if isSteal {
		retStatus = consts.StealStatusOpen
	}
	res = &v1.RechargeStealSettingGetRes{
		StealStatus: retStatus,
	}
	return
}
